<app-navbar></app-navbar>
<div class="container screen-pt-20">
    <div class="row">
        <div class=" col-lg-12 col-sm-12 col-md-12 col-12">
            <ul id="nav-gwbar1" class="nav-gwbar-single-row nav-genz nav-gwbar-white nav-gwbar-scroll nav nav-pills home-nav" role="tablist">


                <li class="nav-item">
                    <!-- data-bs-toggle="pill" href="#home" -->
                    <a class="nav-link nav-a {{classInActive}}" (click)="reverseFun()" style="text-transform: uppercase;">Adresse</a>
                </li>

                <li class="nav-item">
                    <!-- data-bs-toggle="pill" href="#menu3" -->
                    <a class="nav-link nav-a {{classActive}}" style="text-transform: uppercase;">Procéder au paiement</a>
                </li>
            </ul>
            <!-- Tab panes -->
            <div class="tab-content mb-3">
                <div id="home" class="tab-pane {{classInActive}}"><br>
                    <button class="btn btn-theme-fill " (click)="openDialog()">Ajouter une nouvelle adresse</button>




                    <div class="row">
                        <div class="col-lg-9">
                            <br>
                            <br>
                            <h3>Sélectionner une adresse de livraison</h3>
                            <p>Sélectionnez ci-dessous l'adresse de votre choix en cliquant sur le bouton « Envoyer à cette adresse » correspondant ou entrez une <a href="javascript:void0;" class="ankr-big">nouvelle
                           adresse</a>.</p>

                            <p>Adresse de livraison</p>

                            <div class="checkout-btn-div">
                                <button class="btn btn-theme-fill checkout_next_btn" (click)="openCheckout()">Procéder au paiement</button>
                            </div>

                            <div class="clearfix"></div>
                            &nbsp;
                            <div class="comeBack_up" *ngIf="apiResponse">
                                <div *ngIf="apiResponse.error; else loggedOut">
                                    <div class="alert alert-danger"><strong>{{ apiResponse.errorMessage }}</strong></div>
                                </div>
                                <ng-template #loggedOut>
                                    <div class="alert alert-success" *ngIf="apiResponse.errorMessage"><strong>{{ apiResponse.errorMessage }}</strong></div>
                                </ng-template>
                            </div>






                            <div class="row mt-3 " *ngIf="myaddressArray.address">

                                <div *ngIf="myaddressArray.address.length == 0">
                                    <p>Il n'y a pas d'adresse disponible. Veuillez ajouter une adresse de livraison</p>
                                </div>

                                <div class="col-lg-12" *ngFor="let myaddress of myaddressArray.address">
                                    <div class="add-csk">
                                        <h1>{{myaddress.name}}</h1>
                                        <p>{{myaddress.address.address}}</p>
                                        <p>Téléphone : {{myaddress.countryCode}} {{myaddress.telephone}}</p>
                                        <p>{{myaddress.pobox}}</p>
                                        <p>{{myaddress.city}}, {{myaddress.country}}</p>
                                        <div class="" *ngIf="myaddress.is_shipping_address">
                                            <p> Adresse de livraison &nbsp;<i class="fa fa-circle-check"></i></p>
                                        </div>
                                        <div>
                                            <label class="container-rd">
                                            <input type="radio" name="radio" (click)="shipAddress(myaddress._id)"> Envoyer à cette adresse
                                        <span class="checkmark-rd"></span>
                                        </label>
                                        </div>
                                        <!-- <div class="" style="display: flex;">
                                 <button class="btn  " >Livrer à cette
                                    adresse</button>

                                    



                                 <button class="btn btn-secondary" style="margin: 10px;">Modifier</button>


                                 <button class="btn " (click)="deleteAddress(myaddress._id)">Supprimer</button>

                              </div> -->

                                    </div>
                                </div>

                            </div>

                            <!-- <button class="btn btn-secondary ">
                        <ul id="nav-gwbar1"
                           class="nav-gwbar-single-row nav-genz nav-gwbar-white nav-gwbar-scroll nav nav-pills home-nav"
                           role="tablist">

                           <li class="nav-item">
                              <a class="nav-link nav-a" data-bs-toggle="pill" href="#menu3">VALIDATION</a>
                           </li>
                        </ul>
                     </button> -->

                        </div>
                    </div>
                </div>


                <div id="menu3" class="tab-pane {{classActive}}">
                    <div class="mt-3 pt-3">
                        <div class="">
                            <div class="row">
                                <div class="d-none d-sm-block d-md-block d-lg-block">
                                    <h3>Vérification et validation de votre commande</h3>
                                </div>
                                <div class=" col-lg-9 col-sm-12 col-md-9 col-12 screen-pr-50">
                                    <!-- <div class="row cart-row1">
                              <div class="col-lg-5 col-md-5 col-sm-6 col-12">
                                 <p class="para">Adresse de livraison</p>
                                 
                                 <h1>{{beforeCheckeditem.name}}</h1>
                                 <p>Téléphone :{{beforeCheckeditem.telephone}}</p>
                                 <p>{{beforeCheckeditem.pobox}}</p>
                                 <p>{{beforeCheckeditem.city}}, {{beforeCheckeditem.country}}</p>
                                 <div><a href="javascript:void0;" class="ankr-big">Ajouter des instructions de
                                       livraison</a></div>
                              </div>

                           </div> -->
                                    <div class="cart-row1">
                                        <div class="col-lg-5 col-md-5 col-sm-6 col-12">
                                            <p class="para" style="font-weight: 700 !important">Adresse de livraison </p>

                                            <p class="para">{{beforeCheckeditem.name}}</p>
                                            <p class="para">{{shippingAddress}}</p>
                                            <p class="para">{{beforeCheckeditem.pobox}}</p>
                                            <p class="para">{{beforeCheckeditem.city}}, {{beforeCheckeditem.country}}</p>
                                            <p class="para">téléphone : {{beforeCheckeditem.countryCode}} {{beforeCheckeditem.telephone}}</p>
                                            <!-- <div><a href="javascript:void0;" class="ankr-big">Ajouter des instructions de livraison</a></div> -->
                                        </div>
                                        <div class="col-lg-5 col-md-5 col-sm-6 col-12">
                                            <p class="para">Sélectionner le mode de paiement</p>
                                            <!-- <span>Mobile Money </span>
                                            <a href="javascript:void(0);"><img src="./assets/build/img/gatway.png" alt="gatewaylogo" width="50"></a> -->

                                            <label class="container-rd">Paiement à la livraison<span class="green-clr"></span>
                                                <input type="radio" (click)="cash_on_delivery()" class="checkmark11"> 
                                                <span class="checkmark-rd"></span>
                                             </label>


                                        </div>
                                    </div>


                                    <div class="">
                                        <div class="cart-row1" *ngFor="let item of checkingproducts; let i =index">

                                            {{item.status}}

                                            <!-- <h5 class="mb-3" *ngIf="checkingproducts.checkingproducts.length > 0" style="color:red"><strong>Les produits ne sont pas expédiables</strong></h5> -->

                                            <div class="col-lg-6 col-md-6 col-sm-12 col-12">
                                                <div class="row" style="margin-top:5px">


                                                    <div class="col-lg-3 col-md-3 col-sm-3 col-3">
                                                        <a routerLink="/view-product/{{item.product._id}}">
                                             <img class="mw-100" *ngIf="item.product.images.length > 0"
                                                src="{{baseurl}}static/public/{{item.product.images[0]}}">
                                             </a>

                                                    </div>
                                                    <div class="col-lg-9 col-md-9 col-sm-9 col-9">
                                                        <h6><a>{{item.Description}}</a> </h6>
                                                        <h6 class="cart-des">
                                                            <a routerLink="/view-product/{{item.product._id}}">{{item.product.title}}</a>
                                                        </h6>

                                                        <ng-container *ngIf="item.is_available ==true; else notAvailableElse">
                                                            <div>
                                                                <a routerLink="/view-product/{{item.product._id}}" class="ankr-big">En stock </a>
                                                            </div>
                                                        </ng-container>
                                                        <ng-template #notAvailableElse>
                                                            <div>
                                                                <a routerLink="/view-product/{{item.product._id}}" class="ankr-big">Non en stock</a>
                                                            </div>
                                                        </ng-template>



                                                        <div *ngIf="item.variation_color">
                                                            <a routerLink="/view-product/{{item.product._id}}" class="ankr-big">Couleur : {{item.variation_color}}</a>
                                                        </div>

                                                        <div *ngIf="item.variation_value">
                                                            <a routerLink="/view-product/{{item.product._id}}" class="ankr-big">
                                                                <ng-container *ngIf="item.variation_name">{{item.variation_name}} : </ng-container>{{item.variation_value}}</a>
                                                        </div>

                                                        <div class="achats">{{ item.price * item.quantity | number : '1.2-2' }}CFA ({{ item.price | number : '1.2-2' }}CFA/unité)</div>
                                                        <div>
                                                            <span><strong>Quantité : {{item.quantity}}</strong></span>
                                                            <!-- <span><a  class="ankr-big">Supprimer</a></span> -->
                                                        </div>
                                                    </div>
                                                </div>

                                            </div>

                                            <div class="col-lg-6 col-md-6 col-sm-12 col-12">
                                                <!-- {{i}} {{checkingproducts.length}} -->
                                                <h6><strong>Choisissez votre mode de livraison:</strong></h6>
                                                <div class="" *ngFor="let radio of item.shipping_details">
                                                    <label class="container-rd">{{radio.method_name}}<span class="green-clr"></span>

                                          <!-- Recevez-le jeudi 11 août =={{radio.number_of_days}} -->
                                          <input type="radio" name="radio{{i}}" [checked]="radio.is_selected"
                                             (change)="deliveryMethid(radio._id, checkingproducts.length, i)">
                                          <span class="checkmark-rd"></span>
                                          <!-- <p>{{radio.is_selected}}</p> -->
                                       </label>
                                                </div>

                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <ng-container *ngIf="checkingproducts">
                                    <div class=" col-lg-3 col-sm-12 col-md-5 col-12 mb-5">
                                        <div class="sous-row">


                                            <div class="alert alert-danger" [hidden]="showMymsg"> <strong style="color: black;">Sélectionner le mode de livraison</strong></div>

                                            <div class="alert alert-danger" [hidden]="showMymsg2"> <strong style="color: black;">Veuillez sélectionner le mode de paiement</strong></div>


                                            <div class="mb-3">
                                                <ng-container *ngIf="all_available == true; else elseNoQunty">
                                                    <button class="btn btn-theme-fill w-100" (click)="checkout()">Passez votre commande et
                                       payez
                                    </button>
                                                </ng-container>
                                                <ng-template #elseNoQunty>
                                                    <button class="btn btn-theme-fill w-100">Passez votre commande et
                                       payez
                                    </button>
                                                </ng-template>


                                            </div>
                                            <div>
                                                <p>En passant votre commande, vous acceptez les <a class="ankr-big">Conditions
                                          generales de vente</a> Rawgadou</p>
                                            </div>
                                            <div class="mt-3"><strong>Récapitulatif de Commande</strong></div>
                                            <div class="row">
                                                <div class="col-lg-12 col-md-12 col-sm-12 col-12">
                                                    <div class="flex-c">
                                                        <div>Articles:</div>
                                                        <div> <span class="fs-13">{{ checkingitmes.totalprice | number : '1.2-2' }}
                                                CFA</span></div>
                                                    </div>
                                                    <div class="flex-c">
                                                        <div>Livraison :</div>
                                                        <div> <span class="fs-13">{{ checkingitmes.totalshipping | number : '1.2-2'
                                                }}CFA</span></div>
                                                    </div>
                                                    <div class="flex-c">
                                                        <div>TVA :</div>
                                                        <div> <span class="fs-13">{{ checkingitmes.totaltax | number : '1.2-2'
                                                }}CFA</span></div>
                                                    </div>
                                                    <div class="flex-c">
                                                        <div>Total:</div>
                                                        <div> <span class="fs-13">{{checkingitmes.totalpricebeforedis+checkingitmes.totalshipping+checkingitmes.totaltax
                                                | number : '1.2-2' }}CFA</span></div>
                                                    </div>
                                                    <!-- <div class="flex-c">
                                                        <div>Codes promotionnels:</div>

                                                    </div>

                                                    <form [formGroup]="promoForm" class="">
                                                        <div class="">
                                                            <div class="input-group g-1"> <input type="text" class="form-control" id="" placeholder="Saisissez" name="Saisissez" formControlName="promocode">
                                                                <button class="btn btn-light " (click)="applyPromo()">Appliquer</button></div>
                                                        </div>
                                                    </form> -->

                                                    <div class="flex-c">
                                                        <div>Économies appliquées:</div>
                                                        <div> <span class="fs-13">{{ checkingitmes.totaldiscounttoshow | number : '1.2-2'
                                                }}CFA</span></div>
                                                    </div><br>

                                                    <div class="flex-c">
                                                        <div>
                                                            <p class="achats"><strong>Montant total :</strong></p>
                                                        </div>
                                                        <div>
                                                            <p class="achats"><strong>{{ checkingitmes.pricetousertotal | number : '1.2-2'
                                                   }}CFA</strong></p>
                                                        </div>
                                                    </div>



                                                </div>
                                            </div>



                                            <div class="clearfix"></div>
                                            <ng-container *ngIf="all_available == false;">
                                                <div class="alert alert-danger">
                                                    <strong>
                                          Retirer le produit indisponible du panier et continuer
                                       </strong></div>
                                            </ng-container>

                                            <div class="comeBack_up" *ngIf="checkpromocodeRes">
                                                <div *ngIf="checkpromocodeRes.status == false; else loggedOut">
                                                    <br>
                                                    <div class="alert alert-danger"><strong>{{ checkpromocodeRes.errmessage }}</strong>
                                                    </div>
                                                </div>
                                                <ng-template #loggedOut>
                                                    <br>
                                                    <div class="alert alert-success"><strong>{{ checkpromocodeRes.message }}</strong>
                                                    </div>
                                                </ng-template>
                                            </div>



                                        </div>
                                    </div>
                                </ng-container>
                            </div>
                            <!-- <button class="btn btn-secondary"><a >Previous</a></button> -->
                        </div>
                    </div>
                </div>



            </div>
        </div>
    </div>
</div>
<app-footer></app-footer>